function makeTextNode(text) {
	return document.createTextNode(text);
}

function makeLabel(label, id) {
	var newLabel = document.createElement("label");
	if (id !== undefined && id != "") {
		newLabel.setAttribute("for", id);
	}
	newLabel.appendChild(makeTextNode(label));
	return newLabel;
}

function makeInput(type, id, value, label) {
	var newInput = document.createElement("input");
	newInput.setAttribute("type", type);
	if (id !== undefined && id != "") {
		newInput.setAttribute("id", id);
		newInput.setAttribute("name", id);
	}
	if (value !== undefined && value != "") {
		newInput.setAttribute("value", value);
	}
	if (label !== undefined && label != "") {
		var inputLabel = makeLabel(label, id);
		var newDiv = document.createElement("div");
		newDiv.appendChild(inputLabel);
		newDiv.appendChild(newInput);
		return newDiv;
	}
	else {
		return newInput;
	}
}

function makeSelect (id, values, label) {
	var newSelect = document.createElement("select");
	if (id !== undefined && id != "") {
		newSelect.setAttribute("id", id);
		newSelect.setAttribute("name", id);
	}
	for (var i=0; i < values.length; i++) {
		var newOption = document.createElement("option");
		newOption.setAttribute("value", values[i]);
		newOption.appendChild(makeTextNode(values[i]));
		newSelect.appendChild(newOption);
	}
	if (label !== undefined && label != "") {
		var newLabel = makeLabel(label, id);
		var newDiv = document.createElement("div");
		newDiv.appendChild(newLabel);
		newDiv.appendChild(newSelect);
		return newDiv;
	}
	if (label === undefined || label == "") {
		return newSelect;
	}
}

function makeArray (start, end) {
	var myArray = [];
	for (var x=start; x <= end; x++) {
		var myString = x.toString();
		myArray.push(myString);
	}
	return myArray;
}

function checkInputs(event) {
	var inputsArray = document.querySelectorAll("div input");
	for(i=0; i<inputsArray.length; i++) {
		if(inputsArray[i].value == "") {
			inputsArray[i].parentNode.setAttribute("class", "error");
			event.preventDefault();
		}
		if (inputsArray[i].value != "") {
			inputsArray[i].parentNode.setAttribute("class", "");
		}
	}
}